datablock WheeledVehicleTire(blockodirtbikeTire)
{
	// Tires act as springs and generate lateral and longitudinal
	// forces to move the vehicle. These distortion/spring forces
	// are what convert wheel angular velocity into forces that
	// act on the rigid body.

	shapeFile = "./shapes/blockodirtbiketire.dts";
	
	mass = 50;
    radius = 1;
    staticFriction = 45;
	kineticFriction = 45;
	restitution = 0.5;	

	// Spring that generates lateral tire forces
	lateralForce = 9500;
	lateralDamping = 1500;
	lateralRelaxation = 0.01;

	// Spring that generates longitudinal tire forces
	longitudinalForce = 6000;
	longitudinalDamping = 1000;
	longitudinalRelaxation = 1;
};

datablock WheeledVehicleTire(blockodirtbikeFrontTire : blockodirtbikeTire)
{	
	staticFriction = 45;
	kineticFriction = 55;
};

datablock WheeledVehicleSpring(blockodirtbikeSpring)
{
	length = 0.5;			 // Suspension travel
	force = 6500; //3000;	 // Spring force
	damping = 1000; //600;	 // Spring damping
	antiSwayForce = 12; //3;	 // Lateral anti-sway force
};

datablock WheeledVehicleSpring(blockodirtbikefrontSpring : blockodirtbikeSpring)
{
	length = 0.3;
};